Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client
Class JsArrayBoolean

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.core.client.JsArrayBoolean

    public class JsArrayBoolean

extends JavaScriptObject

A simple wrapper around a homogeneous native array of boolean values. This class may not be directly instantiated, and can only be returned from a native method. For example, `native JsArrayBoolean getNativeArray() /*-{ return [true, false, true]; }-* /;`

Constructor Summary
`protected` | `JsArrayBoolean()`

Method Summary
`boolean` | `get(int index)` Gets the value at a given index.
`java.lang.String` | `join()` Convert each element of the array to a String and join them with a comma separator.
`java.lang.String` | `join(java.lang.String separator)` Convert each element of the array to a String and join them with a comma separator.
`int` | `length()` Gets the length of the array.
`void` | `push(boolean value)` Pushes the given boolean onto the end of the array.
`void` | `set(int index, boolean value)` Sets the value value at a given index.
`void` | `setLength(int newLength)` Reset the length of the array.
`boolean` | `shift()` Shifts the first value off the array.
`void` | `unshift(boolean value)` Shifts a value onto the beginning of the array.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsArrayBoolean

    protected JsArrayBoolean()

Method Detail

### get

    public final boolean get(int index)

  Gets the value at a given index. If an undefined or non-boolean value exists at the given index, a type-conversion error will occur in Development Mode and unpredictable behavior may occur in Production Mode.

  Parameters:
    `index` - the index to be retrieved
  Returns:
    the value at the given index

### join

    public final java.lang.String join()

  Convert each element of the array to a String and join them with a comma separator. The value returned from this method may vary between browsers based on how JavaScript values are converted into strings.

### join

    public final java.lang.String join(java.lang.String separator)

  Convert each element of the array to a String and join them with a comma separator. The value returned from this method may vary between browsers based on how JavaScript values are converted into strings.

### length

    public final int length()

  Gets the length of the array.

  Returns:
    the array length

### push

    public final void push(boolean value)

  Pushes the given boolean onto the end of the array.

### set

    public final void set(int index,
                          boolean value)

  Sets the value value at a given index. If the index is out of bounds, the value will still be set. The array's length will be updated to encompass the bounds implied by the added value.

  Parameters:
    `index` - the index to be set
    `value` - the value to be stored

### setLength

    public final void setLength(int newLength)

  Reset the length of the array.

  Parameters:
    `newLength` - the new length of the array

### shift

    public final boolean shift()

  Shifts the first value off the array.

  Returns:
    the shifted value

### unshift

    public final void unshift(boolean value)

  Shifts a value onto the beginning of the array.

  Parameters:
    `value` - the value to the stored

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD